[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.BeginUpdate

Starts an update process for the tool button.

## Declaration

Source position: comctrls.pp line 2156

`protected procedure TToolButton.BeginUpdate; virtual;`

## Description

Increments the internal counter used to consolidate calls to methods which layout or draw the control, or signal event handlers.

Use EndUpdate to end an update process for the control. The consolidated process(es) are performed when the internal counter reaches 0 (zero).

## See also

TToolButton.EndUpdate |  | Ends an update process for the tool button.